We launched new forums in March 2019—join us there. In a hurry for help with your website? Get Help Now!
    • 36404
    • 307 Posts
    hi,

    funny i was coming to say the same thing smiley

    the fact i should have a close look at modx install too as it comes with clearly French utf8 or French, the same for one or two other languages but not for English... don’t know if it what makes YAMS behave like you describe (besides the fact that yams.class.inc.php comes as an iso file and not an utf8 one what could be a resaon for a misreading/outputing files that are used through it)

    as soon as i have some time to check this i will have a close look at it as i going to use YAMS + Evo quite heavily those coming... months

    Have swing
      réfléchir avant d'agir
      • 42270
      • 16 Posts
      There was just a typo.....: https://github.com/goldsky/YAMS/issues/1

      protected function Initialise() {
        YamsUtils::$itsUTF8Modifier == $this->itsEncodingModifierMode;
      }
      
      [ed. note: d.helfensteller last edited this post 8 years, 1 month ago.]
        • 8537
        • 26 Posts
        I'm working with YAMs and I can say that it's very powerfull. The latest version is stable and if you go deeply into YAMs you'll be able to get a full multilingual site without having to dive into the html code. (You need to think about your site structure before though).
        I do every multilingual part (buttons, forms, snippets returns, links etc) using multilingual docs and YAMS snippet calls or Yams placeholders.

        Eric
          • 42270
          • 16 Posts
          I am using it since years myself and I am very happy. Found and fixed the encoding issue.
            • 9995
            • 1,613 Posts
            Glad it now works with the latest version of Evo (1.1).
            I have at least 15 sites live running with YAMS and very pleased its there.
              Evolution user, I like the back-end speed and simplicity smiley
              • 8537
              • 26 Posts
              Quote from: d.helfensteller at Mar 02, 2016, 09:15 AM
              There was just a typo.....: https://github.com/goldsky/YAMS/issues/1

              protected function Initialise() {
                YamsUtils::$itsUTF8Modifier == $this->itsEncodingModifierMode;
              }
              

              This is great, it's working perfectly now ! Thanks a lot !